Bug 144511 - Preferences/Samba Users window fails to close on OK
Preferences/Samba Users window fails to close on OK
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Nils Philippsen
Depends On:
  Show dependency treegraph
Reported: 2005-01-07 16:04 EST by Phil Schaffner
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-12 11:54:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Phil Schaffner 2005-01-07 16:04:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.3)

Description of problem:
The Preferences/Samba Users window "OK" box fails to close the window
and generates an error to the console.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start system-config-samba
2. Choose Preferences/Samba Users without first choosing Server Setings
3. Click "OK"

Actual Results:  Window fails to close on OK.  Will close on corner-X.
 Will close if Preferences/Server Setings is selected first.

Expected Results:  Window should close normally.

Additional info:

Error message:
Traceback (most recent call last):
  File "/usr/share/system-config-samba/sambaUserWin.py", line 121, in
    if string.lower (section.getKey ("security")) == "user":
  File "/usr/lib/python2.3/string.py", line 55, in lower
    return s.lower()
AttributeError: 'NoneType' object has no attribute 'lower'
Comment 1 Nils Philippsen 2005-01-11 04:03:13 EST
fixed in CVS
Comment 2 Nils Philippsen 2005-01-12 11:54:17 EST
Fixed in system-config-samba-1.2.26-0.fc3.1 which should hit the mirrors soon.

Note You need to log in before you can comment on or make changes to this bug.